## cgi-scripts 1.0.1

=== cgi-examples/Makefile ===
# For gcc
CC= gcc
# For ANSI compilers
#CC= cc

#For Optimization
CFLAGS= -O2

RM= /bin/rm -f

EXE = jj phf

#--- You shouldn't have to edit anything else. ---

.c.o: 
	$(CC) -c $(CFLAGS) $<

all: $(EXE)

jj: jj.o util.o
	$(CC) $(LDFLAGS) -o $@ jj.o util.o
phf: phf.o util.o
	$(CC) $(LDFLAGS) -o $@ phf.o util.o

clean:
	$(RM) *.o

distclean: clean
	$(RM) $(EXE)

=== cgi-src/Makefile ===
# For gcc
CC= gcc
# For ANSI compilers
#CC= cc

#For Optimization
CFLAGS= -O2

RM= /bin/rm -f
#--- You shouldn't have to edit anything else. ---

.c.o: 
	$(CC) -c $(CFLAGS) $<

CGIDIR = ../cgi-bin
SECDIR = ../cgi-sec

CGIBIN = $(CGIDIR)/post-query $(CGIDIR)/query $(CGIDIR)/animate \
    $(CGIDIR)/count $(CGIDIR)/random $(CGIDIR)/imagemap

SECCGI = $(SECDIR)/change-passwd

all: $(CGIBIN)

$(CGIDIR)/post-query: post-query.o util.o
	$(CC) $(CFLAGS) post-query.o util.o -o $@

$(CGIDIR)/query: query.o util.o
	$(CC) $(CFLAGS) query.o util.o -o $@

$(CGIDIR)/animate: animate.o
	$(CC) $(CFLAGS) animate.o -o $@

$(CGIDIR)/count: count.o
	$(CC) $(CFLAGS) count.o -o $@ -ldbm

$(CGIDIR)/random: random.o
	$(CC) $(CFLAGS) random.o -o $@

$(CGIDIR)/imagemap:  imagemap.o
	$(CC) $(CFLAGS) imagemap.o -o $@
$(SECDIR)/change-passwd: change-passwd.o util.o
	$(CC) $(CFLAGS) change-passwd.o util.o -o $@

clean:
	rm -f *.o $(CGIBIN) $(SECDIR)

distclean: clean

=== debian/changelog ===
cgi-scripts (1.0.1-2) unstable; urgency=LOW

  * Call apachechkperms if it exists to ensure permissions are okay.

 -- Yves Arrouye <Yves.Arrouye@marin.fdn.fr>  Thu, 3 Oct 1996 01:24:48 +0200

cgi-scripts (1.0.1-1) unstable; urgency=LOW

  * Installation in /usr/lib/httpd/cgi-bin.
  * Removed scripts from HylaFAX.
  * Removed a.out scripts, including htimage (!) which must be
      replaced by imagemap.

 -- Yves Arrouye <Yves.Arrouye@marin.fdn.fr>  Wed, 25 Sep 1996 00:52:24 +0200

cgi-scripts (1.0-1) non-free; urgency=LOW

  * Creation of this package from the apache package.

 -- Yves Arrouye <arrouye@marin.sevy.fr>  Mon, 9 Sep 1996 11:51:09 +0200

Local Variables:
mode: dpkg-changelog
End:

=== debian/control ===
Source: cgi-scripts
Section: net
Priority: optional
Maintainer: Yves Arrouye <arrouye@debian.org>
Standards-Version: 2.1.0.0

Package: cgi-scripts
Architecture: any
Depends: ${shlibs:Depends}
Suggests: perl
Description: useful Common Gateway Interface scripts for HTTP servers
 This package contains some commonly CGI scripts that make life easier to
 the administrator of a Web site (handling of image maps, filters for
 documents like manual pages, etc.).
 .
 At the moment, it is better to install this package after having
 installed the Apache package than before.  The installation order
 does not matter for the CERN server package.

=== debian/rules ===
#! /usr/bin/make -f
#
# Debian rules for building libpaper (by Yves Arrouye), based on:
#
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=cgi-scripts

install-www = install -g www-data

build:
	$(checkdir)
	cd cgi-src; $(MAKE) CFLAGS=-O2 LDFLAGS=
	touch build

clean:
	$(checkdir)
	-rm -f build
	-cd cgi-src; $(MAKE) -i clean
	@if [ -d debian/tmp ]; then \
	  if [ "`whoami`" = root ]; then \
	    rm -rf *~ debian/tmp debian/*~ debian/files*; \
	  else \
	    if [ -x /usr/bin/ssh ]; \
	    then \
	      echo "Cleaning up the debian/tmp directory as root..."; \
	      ssh -l root localhost "cd `pwd`; 2>/dev/null set -o no_nomatch; rm -rf *~ debian/tmp debian/*~ debian/files*"; \
	    else \
	      echo "Enter the root password to clean up the debian/tmp dir..."; \
	      su -c "rm -rf *~ debian/tmp debian/*~ debian/files*"; \
	    fi; \
	  fi; \
	fi

binary-indep: build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	cp debian/{postinst,postrm} debian/tmp/DEBIAN/.
	chmod +x debian/tmp/DEBIAN/{postinst,postrm}
	$(install-www) -m 2770 -d debian/tmp/usr/lib/httpd/cgi-bin
	$(install-www) -c -s -m 750 cgi-bin/* \
	    debian/tmp/usr/lib/httpd/cgi-bin
	install -d debian/tmp/usr/sbin
	install -m 755 debian/cgiscriptsconfig debian/tmp/usr/sbin
	install -d debian/tmp/usr/man/man8
	install -m 644 debian/cgiscriptsconfig.8 debian/tmp/usr/man/man8
	install -d debian/tmp/usr/doc/examples
	install -d debian/tmp/usr/doc/$(package)/examples
	cd debian/tmp/usr/doc/examples; ln -fs ../$(package)/examples \
	    $(package)
	cp cgi-examples/* debian/tmp/usr/doc/$(package)/examples
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9v debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9f debian/tmp/usr/man/man*/*.[0-9]*
	dpkg-shlibdeps cgi-bin/count
	dpkg-gencontrol
	#chown -R root.root debian/tmp
	#chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f cgi-src/imagemap.c -a -f debian/rules
endef

# Below here is fairly generic really

binary:
	@if [ "`whoami`" = root ]; then \
	    $(MAKE) -f debian/rules binary-root; \
	else \
	    if [ -x /usr/bin/ssh ]; \
	    then \
		echo "Building the .deb file as root..."; \
		ssh -l root localhost "cd `pwd`; exec $(MAKE) -f debian/rules binary-root"; \
	    else \
	  	echo "Enter the root password to build the .deb file..."; \
	  	su -c "exec $(MAKE) -f debian/rules binary-root"; \
	    fi; \
	fi

binary-root: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## cgi-scripts 1.0.2

=== debian/changelog ===
cgi-scripts (1.0.2) unstable; urgency=low

  * Fixed permissions on cgi-bin directory and copied files (Bug #5233).
  * Updated to Standards-Version 2.1.2.2 with debmake 2.56.
  * Moved from section "net" to new section, "web".

 -- Johnie Ingram <johnie@debian.org>  Sun, 19 Jan 1997 23:15:22 -0500

=== debian/control ===
Source: cgi-scripts
Section: web
Priority: optional
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.1.2.2

Package: cgi-scripts
Architecture: any
Depends: ${shlibs:Depends}
Suggests: perl
Description: Useful Common Gateway Interface scripts for HTTP servers
 Contains some commonly-used CGI scripts that make life easier for
 the administrator of a Web site (handling of image maps, filters for
 documents like manual pages, etc.).
 .
 At the moment, it is better to install this package after having
 installed the Apache package than before.  The installation order
 does not matter for the CERN server package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=cgi-scripts

build:
	$(checkdir)
	cd cgi-src; make
	touch build

clean:
	$(checkdir)
	-cd cgi-src; make distclean
	-rm -f build $$(find . -name "*~")
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp && install -d debian/tmp
	cd debian/tmp && install -d $$(cat ../dirs)
	install debian/cgiscriptsconfig debian/tmp/usr/sbin
	install cgi-bin/* debian/tmp/usr/lib/httpd/cgi-bin
	debstd $(package) README
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## cgi-scripts 1.0.3

=== cgi-examples/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #CC= cc
 
 #For Optimization
-CFLAGS= -O2
+CFLAGS= -O2 -s
 
 RM= /bin/rm -f

=== cgi-src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #CC= cc
 
 #For Optimization
-CFLAGS= -O2
+CFLAGS= -O2 -s
 
 RM= /bin/rm -f
 #--- You shouldn't have to edit anything else. ---

=== debian/changelog ===
cgi-scripts (1.0.3) stable unstable; urgency=low

  * Updated to Standards-Version: 2.1.3.3 and debmake 3.3.5.
  * Corrected location of installed CGI binaries to comply with policy
    (#8356).
  * Added set -e to post-removal script.
  * Linked against libc5, for stable distribution.
  
 -- Johnie Ingram <johnie@debian.org>  Tue, 15 Jul 1997 00:30:37 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Johnie Ingram <johnie@debian.org>
-Standards-Version: 2.1.2.2
+Standards-Version: 2.1.3.3
 
 Package: cgi-scripts
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,27 @@
 # paternity under the Copyright, Designs and Patents Act 1988.)
 # This file may have to be extensively modified
 #
-# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
+# Modified to be a prototype for debmake by Christoph Lameter
+# <clameter@debian.org>.
 
 package=cgi-scripts
 
+ifeq ($(shell dpkg --print-architecture),i386)
+HACK=-b i486-linuxlibc1 -L/usr/lib/libc5-compat -I ../debian
+endif
+
 build:
 	$(checkdir)
-	cd cgi-src; make
+	cd cgi-src; $(MAKE) CC="gcc $(HACK)"
 	touch build
 
 clean:
 	$(checkdir)
-	-cd cgi-src; make distclean
-	-rm -f build $$(find . -name "*~")
-	-rm -rf debian/tmp debian/files* core debian/substvars
+	-cd cgi-src; $(MAKE) distclean
+	rm -rf build $$(find . -name "*~") $$(find debian/* -type d)
+	rm -rf debian/files* core debian/*substvars*
+	find .. -name $(package)*dsc.asc -size 0 -maxdepth 1 -exec rm {} ";"
+	chmod 755 debian/{cgiscriptsconfig,postinst*,postrm}
 
 binary-indep:	checkroot build
 	$(checkdir)
@@ -32,13 +39,14 @@
 	$(checkdir)
 	-rm -rf debian/tmp && install -d debian/tmp
 	cd debian/tmp && install -d $$(cat ../dirs)
-	install debian/cgiscriptsconfig debian/tmp/usr/sbin
-	install cgi-bin/* debian/tmp/usr/lib/httpd/cgi-bin
-	debstd $(package) README
+#	install debian/cgiscriptsconfig debian/tmp/usr/sbin
+	install cgi-bin/* debian/tmp/usr/lib/cgi-bin
+	debstd -m README
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..
+
 
 define checkdir
 	test -f debian/rules

## cgi-scripts 1.0.9

=== debian/changelog ===
cgi-scripts (1.0.9) frozen unstable; urgency=high

  * Added set -f to test-cgi (fixes critical Bug #24388).

 -- Johnie Ingram <johnie@debian.org>  Fri, 17 Jul 1998 11:25:47 -0400

cgi-scripts (1.0.8) frozen unstable; urgency=low

  * Added conflict with ncsa (<= 1.4.2-6) recommended by Richard
    Braakman, to resolve bo->hamm file overlap.
  * Converted from debmake to debhelper packaging technology.
  * Fixed all lintian errors.

 -- Johnie Ingram <johnie@debian.org>  Wed,  6 May 1998 02:22:18 -0400

cgi-scripts (1.0.7) unstable; urgency=low, closes=14178

  * Closes #14178, as the non-FHS compliant count.c is no longer included.
  * Tweaked copyright file yet more.

 -- Johnie Ingram <johnie@debian.org>  Tue, 10 Feb 1998 00:49:05 -0500

cgi-scripts (1.0.6) unstable; urgency=low, closes=14194 14195 16027 14051 14178

  * Removed scripts which have copyright problems (#16027) and lack
    documention (#14051); remaining binaries are public domain.
  * Removed obsolete libc5 hack (#14194); compiles with libc6 (#14195).
  * Added SHELL=/bin/bash to rules file.
  * Updated to Standards-Version 2.4.0.0.
  
 -- Johnie Ingram <johnie@debian.org>  Thu,  5 Feb 1998 11:57:04 -0500

cgi-scripts (1.0.5) unstable; urgency=low

  * Linked with libc6.

 -- Johnie Ingram <johnie@debian.org>  Wed, 10 Dec 1997 10:47:03 -0500

cgi-scripts (1.0.4) unstable; urgency=low

  * Closed #12267, since it has been decided that the ncsa package should
    remove the conflicting file.
  * Tweaked packaging for multi-architecture, multi-compiler support.
  * Updated to Standards-Version 2.2.0.0 and debmake 3.3.12.
  * Ported to libc6.

 -- Johnie Ingram <johnie@debian.org>  Sun, 31 Aug 1997 06:46:12 -0400

=== debian/control ===
Source: cgi-scripts
Section: web
Priority: optional
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.4.1.0

Package: cgi-scripts
Architecture: any
Depends: ${shlibs:Depends}
Suggests: perl, tclsh
Conflicts: ncsa (<= 1.4.2-6)
Description: Useful Common Gateway Interface scripts
 Contains some commonly-used CGI scripts that make life easier for
 the administrator of a Web site (handling of image maps, the "date",
 "fortune" , and "finger" scripts, etc.).

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# Sample debian.rules file - for GNU Hello (1.3).
+# Sample debian.rules -*- makefile -*- for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # I hereby give you perpetual unlimited permission to copy,
 # modify and relicense this file, provided that you do not remove
@@ -12,22 +12,26 @@
 
 package=cgi-scripts
 
-ifeq ($(shell dpkg --print-architecture),i386)
-HACK=-b i486-linuxlibc1 -L/usr/lib/libc5-compat -I ../debian
-endif
+CC=cc
+SHELL=/bin/bash
+
 
 build:
 	$(checkdir)
-	cd cgi-src; $(MAKE) CC="gcc $(HACK)"
+	rm -rf debian/cgi-src && cp -a cgi-src debian/cgi-src
+	cd cgi-src; $(MAKE) CC="$(CC)" CFLAGS="-O2 -s $(HACK)"
+	rm -f cgi-bin/{jj,phf,post-query,query}
 	touch build
+
 
 clean:
 	$(checkdir)
-	-cd cgi-src; $(MAKE) distclean
+	cd cgi-src; $(MAKE) clean
 	rm -rf build $$(find . -name "*~") $$(find debian/* -type d)
 	rm -rf debian/files* core debian/*substvars*
-	find .. -name $(package)*dsc.asc -size 0 -maxdepth 1 -exec rm {} ";"
-	chmod 755 debian/{cgiscriptsconfig,postinst*,postrm}
+	find .. -name $(package)*.asc -size 0 -maxdepth 1 -exec rm {} ";"
+	chmod 755 debian/postrm
+
 
 binary-indep:	checkroot build
 	$(checkdir)
@@ -35,14 +39,25 @@
 # generated by this package.  If there were any they would be
 # made here.
 
+
 binary-arch:	checkroot build
 	$(checkdir)
-	-rm -rf debian/tmp && install -d debian/tmp
+	rm -rf debian/tmp && install -d debian/tmp
 	cd debian/tmp && install -d $$(cat ../dirs)
-#	install debian/cgiscriptsconfig debian/tmp/usr/sbin
+	dh_installdirs
+	dh_installdocs
+	dh_installchangelogs
 	install cgi-bin/* debian/tmp/usr/lib/cgi-bin
-	debstd -m README
-	dpkg-gencontrol
+	mv debian/tmp/usr/lib/cgi-bin/test-cgi.tcl \
+		debian/tmp/usr/doc/$(package)/src
+	chmod 644 debian/tmp/usr/doc/$(package)/src/test-cgi.tcl
+	cp -a debian/cgi-src/* debian/tmp/usr/doc/$(package)/src
+	dh_compress
+	dh_installdeb
+	dh_shlibdeps
+	dh_strip -v
+	dh_gencontrol
+	dh_md5sums
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..
